%{?nodejs_find_provides_and_requires}
Name:                nodejs-mime
Version:             2.0.3
Release:             1
Summary:             A comprehensive library for mime-type mapping
License:             MIT
URL:                 https://github.com/broofa/node-mime
Source0:             https://registry.npmjs.org/mime/-/mime-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging mocha 	npm(chalk) 	npm(mime-db) 	npm(mime-types)
%description
Comprehensive MIME type mapping API. Includes all 600+ types and 800+ extensions
defined by the Apache project, plus additional types submitted by the node.js
community.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mime
cp -pr package.json types *.js %{buildroot}%{nodejs_sitelib}/mime

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec src/test.js

%files
%{nodejs_sitelib}/mime
%doc README.md
%license LICENSE

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 2.0.3-1
- Package init
